GameOver = {}


--callbacks
function GameOver.enter()
	state = 6
	
	GOAudio()
end

function GameOver.update(dt)
	GOUpdateBG(dt)
end

function GameOver.draw(dt)
	GODrawBG()
	GOCheckScore()
end

function GameOver.mousepressed(x, y, button)
	GOMainMenu(x,y,button)
	GOPlayAgain(x, y, button)
end

function GameOver.keypressed(key)
end









--enter functions
function GOAudio()
end



--update functions
function GOUpdateBG(dt)
	Menu.x = Menu.x - (Menu.Speed * dt)
	Menu.x1 = Menu.x1 - (Menu.Speed * dt)
	
	if Menu.x < -1600 then 
		Menu.x = 810
	end
	if Menu.x1 < -800 then
		Menu.x1 = 1615
	end
end



--drawing functions
function GODrawBG()
	love.graphics.setBackgroundColor( 0, 0, 0)
	love.graphics.setColor(0,16,0)
	love.graphics.rectangle("fill", 0, screenHeight - 48, screenWidth, 50) -- draws the ground
	love.graphics.setColor(255,255,255)
	love.graphics.draw(Menu.Background1, Menu.x, 0) -- draws menu
	love.graphics.draw(Menu.Background2, Menu.x1, 0) -- draws menu
	love.graphics.draw(Menu.Moon, 0, 0)
end

function GOCheckScore()
	if currentscore <= playerStats.score then 
		love.audio.play(DeathAudio)
		love.graphics.draw(GameOverMenu1, 0, 0)
	elseif currentscore > playerStats.score then
		love.audio.play(HighscoreAudio)
		love.graphics.draw(GameOverMenu2, 0, 0)
	end
	
	love.graphics.print(currentscore, 413, 265)
end



--mouse functions
function GOMainMenu(x, y, button)
	if x > 11 and y > 556 then
		if x < 125 and y < 591 then
			if currentscore > playerStats.score then 
				playerStats.score = currentscore
			end
			playerStats.exp = playerStats.exp + currentscore
			saveStats()
			MainMenu.enter()
		end
	end
end

function GOPlayAgain(x, y , button)
	if x > 546 and y > 553 then
		if x < 795 and y < 588 then
			if time ~= 0 then
				time = 0
			end
			if currentscore > playerStats.score then 
				playerStats.score = currentscore
			end
			playerStats.exp = playerStats.exp + currentscore
			saveStats()
			Ingame.enter()
		end
	end
end





