require 'Splash'
require 'MainMenu'
require 'Ingame'
require 'GameOver'
require 'Character'
require 'Instructions'
require 'Resources'

--library
require 'lib/TSerial'



--callbacks
function love.load(arg)
	LoadResources()
	loadStats()
	MGameStateSetup()
end

function love.update(dt)
	gamestates[state].update(dt) --updates whatever in the game state .update 
end

function love.draw(dt)
	gamestates[state].draw(dt) --draws whatever in the game state .draw
end

function love.keypressed(key)
	gamestates[state].keypressed(key) --if key is pressed in whatever state
end

function love.mousepressed(x, y, button)
	gamestates[state].mousepressed(x, y, button) --if key is released in whatever state
end



--game state function
function MGameStateSetup()
	gamestates = {[1] = Splash, [2] = Character, [3] = Instructions, [4] = MainMenu, [5] = Ingame, [6] = GameOver} -- sets gamestates
	Splash.enter() -- "enters" Splash game state
end
