Character = {}

--callbacks
function Character.enter()
	state = 2 -- sets state
	CHAudio()
end

function Character.begin()
	state = 2 -- sets state
	CHCheckProfile()
end

function Character.update(dt)
	CHUpdateBG(dt)
	CHUpdateCharacter(dt)
end

function Character.draw(dt)
	CHDrawBg()
	CHCheckCharacter()
	CHDrawCharacter()
end

function Character.mousepressed(x, y, button)
	CHNewCharacter(x,y,buton)
	CHResetCharacter(x,y,button)
end

function Character.keypressed(key)
end




--enter functions
function CHAudio()
	if music == false then
		love.audio.play(MenuMusic)
		music = true
	end
end

function CHCheckProfile()
	if playerStats.charselect == true then
		MainMenu.enter()
	end
end



--update functions
function CHUpdateBG(dt)
	Menu.x = Menu.x - (Menu.Speed * dt)
	Menu.x1 = Menu.x1 - (Menu.Speed * dt)
	
	if Menu.x < -1600 then 
		Menu.x = 810
	end
	if Menu.x1 < -800 then
		Menu.x1 = 1615
	end
end

function CHUpdateCharacter(dt)
	PlayerAnimation:update(dt) -- updates character preview
end



--draw functions
function CHDrawBg()
	love.graphics.setBackgroundColor( 0, 0, 0)
	love.graphics.setColor(0,16,0)
	love.graphics.rectangle("fill", 0, screenHeight - 48, screenWidth, 50) -- draws the ground
	love.graphics.setColor(255,255,255)
	love.graphics.draw(Menu.Background1, Menu.x, 0) -- draws menu
	love.graphics.draw(Menu.Background2, Menu.x1, 0) -- draws menu
	love.graphics.draw(Menu.Moon, 0, 0)
end

function CHCheckCharacter()
	if playerStats.charselect == false then
		love.graphics.draw(CharacterMenu1, 0, 0) -- draws character screen
	elseif playerStats.charselect == true then
		love.graphics.draw(CharacterMenu2, 0, 0)
		love.graphics.print(playerStats.exp, 135, 237 )
		love.graphics.print(playerStats.score , 305, 300)
	end
end

function CHDrawCharacter()
	local CharX, CharY = 186, 129

	for i = 1,2 do
		for e = 1,6 do
			if playerStats.hair == i and playerStats.color == e then
				PlayerAnimation:draw(player[i][e], CharX, CharY)
			end
		end
	end
	
end



--mouse functions
function CHNewCharacter(x,y,button)
	-- character custom
	if playerStats.charselect == false then
		-- Gender
		-- Hair
		if x > 63 and y > 386 then -- if mouse presses brown color for hair changes player hair to brown
			if x < 127 and y < 450 then
				playerStats.hair =1
			end
		end
		if x > 128 and y > 386 then -- if mouse presses brown color for hair changes player hair to Blonde
			if x < 191 and y < 450 then
				playerStats.hair = 2
			end
		end
		-- Wardrobe
		if x > 63 and y > 514 then -- if mouse presses green color for wardrobe changes player robe and hat to green
			if x < 127 and y < 578 then
				playerStats.color = 1
			end
		end
		if x > 128 and y > 514 then -- if mouse presses yellow color for wardrobe changes player robe and hat to yellow
			if x < 192 and y < 578 then
				playerStats.color = 2
			end
		end
		if x > 193 and y > 514 then -- if mouse presses brown color for wardrobe changes player robe and hat to brown
			if x < 257 and y < 578 then
				playerStats.color = 3
			end
		end
		if x > 258 and y > 514 then -- if mouse presses orange color for wardrobe changes player robe and hat to orange
			if x < 322 and y < 578 then
				playerStats.color = 4
			end
		end
		if x > 323 and y > 514 then -- if mouse presses blue color for wardrobe changes player robe and hat to blue
			if x < 387 and y < 578 then
				playerStats.color = 5
			end
		end
		if x > 388 and y > 514 then -- if mouse presses purple color for wardrobe changes player robe and hat to purple
			if x < 452 and y < 578 then
				playerStats.color = 6
			end
		end
	end
	--next button
	if x > 683 and y > 559 then
		if x < 795 and y < 590 then
			if playerStats.charselect == false then
				playerStats.charselect = true
				playerStats.score = 0
				playerStats.wins = 0
				playerStats.losses = 0
				playerStats.level = 1
				playerStats.exp = 0
				saveStats()
			end
			MainMenu.enter()
		end
	end
end

function CHResetCharacter(x,y,button)
	if x > 18 and y > 551 then
		if x < 406 and y < 585 then
			playerStats.charselect = false
			playerStats.score = 0
			playerStats.wins = 0
			playerStats.losses = 0
			playerStats.level = 1
			playerStats.exp = 0
		end
	end
end