
MainMenu = {}


--callbacks
function MainMenu.enter()
	state = 4
	
	MMAudio()
end

function MainMenu.update(dt)
	MMUpdateBG(dt)
end

function MainMenu.draw(dt)
	MMDrawBG()
	MMDrawMenu()
end

function MainMenu.mousepressed(x, y, button)
	MMIngameEnter(x,y,button)
	MMCharacterEnter(x,y,button)
	MMInstructionsEnter(x,y,button)
	MMCreditEnter(x,y,button)
	MMQuit(x,y,button)
end

function MainMenu.keypressed(key)
end










--enter functions
function MMAudio()
	
end



--update functions
function MMUpdateBG(dt)
	Menu.x = Menu.x - (Menu.Speed * dt)
	Menu.x1 = Menu.x1 - (Menu.Speed * dt)
	
	if Menu.x < -1600 then 
		Menu.x = 810
	end
	if Menu.x1 < -800 then
		Menu.x1 = 1615
	end
end



--draw functions
function MMDrawBG()
	love.graphics.setBackgroundColor( 0, 0, 0)
	love.graphics.setColor(0,16,0)
	love.graphics.rectangle("fill", 0, screenHeight - 48, screenWidth, 50) -- draws the ground
	love.graphics.setColor(255,255,255)
	love.graphics.draw(Menu.Background1, Menu.x, 0) -- draws menu
	love.graphics.draw(Menu.Background2, Menu.x1, 0) -- draws menu
	love.graphics.draw(Menu.Moon, 0, 0)
end

function MMDrawMenu()
	love.graphics.draw(Menu.Screen, 0, 0)
end



--mouse functions
function MMIngameEnter(x,y,button)
	if button == "l" then
		if x > 271 and y > 188 then -- if the mouse is in the play button area then sets Play hover to true
			if x < 589 and y < 250 then
				if time ~= 0 then
					time = 0
				end
				love.audio.play(EvilLaugh)
				Ingame.enter()
			end
		end
	end
end

function MMCharacterEnter(x,y,button)
	if button == "l" then
		if x > 271 and y > 250 then -- if the mouse is in the Character button area then sets Character hover to true
			if x < 589 and y < 310 then
				Character.enter()
			end
		end
	end
end

function MMInstructionsEnter(x,y,button)
	if button == "l" then
		if x > 271 and y > 310 then -- if the mouse is in the Instructions  button area then sets Instructions  hover to true
			if x < 589 and y < 370 then
				Instructions.enter()
			end
		end
	end
end

function MMCreditEnter(x,y,button)
	if button == "l" then
		if x > 271 and y > 370 then -- if the mouse is in the Exit button area then sets Exit hover to true
			if x < 589 and y < 430 then
				saveStats()
				love.event.push("quit")
			end
		end
	end
end

function MMQuit(x,y,button)
	if button == "l" then
		if x > 271 and y > 430 then -- if the mouse is in the Exit button area then sets Exit hover to true
			if x < 589 and y < 494 then
				saveStats()
				love.event.push("quit")
			end
		end
	end
end

