
local anim8 = require 'lib/anim8' -- calls the libary anim8 (animation libary)



player = {} -- sets player table to enter data
playerStats = {}

player.speed = 100
player.height = 45 -- setting the actual amount of pixels the player image takes up not the image as a whole.
player.width = 57
player.collison = false -- sets if the player is colliding with an object to false.
player.x = 100 -- sets player x to 100
player.y = 100 -- sets player y to 100
playerStats.hair = 1
playerStats.gender = 1
playerStats.color = 1
playerStats.charselect = false
playerStats.exp = 0
playerStats.SBoost = true -- 0 xp
playerStats.WShield = false -- 500 xp
playerStats.FShield = false --1k xp
playerStats.SShield = false --2.5kxp
playerStats.REffects = false -- 5k xp
playerStats.LUp = false -- 10k xp

function loadStats()
	if love.filesystem.exists("playerStats") then
		local data = love.filesystem.read("playerStats")
		playerStats = TSerial.unpack(data)
	end
end

function saveStats()
	local data = TSerial.pack(playerStats)
	love.filesystem.write("playerStats", data)
end
